{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-21.05";
    nixpkgs-unstable.url = "github:nixos/nixpkgs/nixos-unstable";
    simple-nixos-mailserver.url = "gitlab:simple-nixos-mailserver/nixos-mailserver/nixos-21.05";
  };

  outputs = { self, nixpkgs, nixpkgs-unstable, simple-nixos-mailserver }: {
    nixosConfigurations.loutreos = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        ({ pkgs, ... }: {
          nix.nixPath = [
            "nixpkgs=${nixpkgs}"
          ];
        })
        nixpkgs.nixosModules.notDetected
        "${nixpkgs-unstable}/nixos/modules/services/audio/navidrome.nix"
        simple-nixos-mailserver.nixosModule
        ./systems/LoutreOS/configuration.nix
      ];
    };

    nixosConfigurations.paul-fixe = nixpkgs-unstable.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        ({ pkgs, ... }: {
          nix.nixPath = [
            "nixpkgs=${nixpkgs}"
          ];
        })
        nixpkgs-unstable.nixosModules.notDetected
        ./systems/PC-Fixe/configuration.nix
      ];
    };
  };
}

